@use "../abstracts/mixins" as mix;
@use "../abstracts/variables" as var;
@use "sass:math";

.landingPage {
  background-color: var.$background-color-base;
  height: 100vh;

  .header {
    height: var.$gutter-base * 2.5;
    width: 100%;
    padding: math.div(var.$gutter-base, 2.5);
    background-color: var.$background-color-base;
    box-shadow: 0px 2px 2px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    justify-content: center;

    h3 {
      color: var.$text-color-primary;
      margin: 0;
      font-family: "Reenie Beanie";
      font-style: normal;
      font-weight: var.$font-weight-medium;
      font-size: var.$font-size-big;
      line-height: var.$gutter-base;
    }
  }

  .logo {
    display: flex;
    justify-content: center;

    img {
      width: var.$gutter-base * 4.8;
    }
  }

  .main {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 40px;

    .holder {
      position: relative;
      background: linear-gradient(
        29deg,
        var.$text-color-primary 0%,
        var.$text-color-primary 50%,
        var.$text-color-tertiary 50%,
        var.$text-color-tertiary 100%
      );
      height: var.$gutter-base * 12;
      width: var.$gutter-base * 8.6;

      .artist {
        width: var.$gutter-base * 8.6;
        position: absolute;
        top: 0;
        bottom: 50%;
        padding-top: 50px;
        padding-bottom: 50px;

        p {
          color: var.$text-color-primary;
          font-family: "Reenie Beanie";
          font-size: var.$gutter-base * 1.3;
          text-align: center;
        }

        select {
          margin-left: 60px;
          -webkit-appearance: none;
          -moz-appearance: none;
          background: transparent;
          background-image: url("data:image/svg+xml;utf8,<svg fill='rgb(161, 106, 94)' height='17' viewBox='0 0 24 24' width='34' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
          background-repeat: no-repeat;
          background-position-x: 100%;
          background-position-y: 5px;
          border: 1px solid var.$text-color-primary;
          color:  var.$text-color-primary;
          border-radius: 2px;
          margin-right: 2rem;
          padding: 6px 18px;
        //   padding-left: 18px;
          padding-right:  24px;
        }
      }

      .visitor {
        width: var.$gutter-base * 8.6;
        position: absolute;
        top: 50%;
        bottom: 0;
        padding-top: 50px;
        padding-bottom: 50px;
        cursor: pointer;

        p {
          color: var.$text-color-tertiary;
          font-family: "Reenie Beanie";
          font-size: var.$gutter-base * 1.3;
          text-align: center;
        }
      }
    }
  }
}
